ASIP-STATUS.PL(1)

NAME
asip-status.pl - Queries AFP servers for their capabilities

SYNOPSIS

asip-status.pl [-d] [-i] [-x] HOSTNAME[:PORT]

asip-status.pl -v | -version | --version

DESCRIPTION

asip-status.pl is a perl script that sends a FPGetSrvrInfo request to an AFP server at HOSTNAME:PORT and displays the results, namely "Machine type", the server's name, supported AFP versions, UAMs and AFP flags, the "server signature" and the network addresses, the server provides AFP services on.

When you don't supply :PORT, then the default AFP port, 548, will be used.

OPTIONS

-d
    Enable debug output.

-i
    Show icon if it exists.

-x
    Enable hex dump output.

-v, -version, --version
    Show version.

EXAMPLES

    asip-status.pl 192.168.1.15
    AFP reply from 192.168.1.15:548
    Flags: 1  Cmd: 3  ID: 57005
    Reply: DSIGetStatus
    Request ID: 57005
    Machine type: Macintosh
    AFP versions: AFPVersion 1.1,AFPVersion 2.0,AFPVersion 2.1,AFP2.2
    UAMs: Cleartxt passwrd,Randnum exchange,2-Way Randnum exchange
    Volume Icon & Mask: Yes
    Flags:
        SupportsCopyFile
        SupportsChgPwd
        SupportsServerMessages
        SupportsServerSignature
        SupportsTCP/IP
        SupportsSuperClient
    Server name: bookchan
    Signature:
    04 1d 65 23 04 1d 65 23 04 1d 65 23 04 1d 65 23  ..e#..e#..e#..e#

    Network address: 192.168.1.15:548 (TCP/IP address and port)
    Network address: 65280.128 (ddp address)

    asip-status.pl myserver:10548
    AFP reply from myserver:10548
    Flags: 1  Cmd: 3  ID: 57005
    Reply: DSIGetStatus
    Request ID: 57005
    Machine type: Netatalk3.0
    AFP versions: AFP2.2,AFPX03,AFP3.1,AFP3.2,AFP3.3
    UAMs: DHX2,DHCAST128
    Volume Icon & Mask: Yes
    Flags:
        SupportsCopyFile
        SupportsServerMessages
        SupportsServerSignature
        SupportsTCP/IP
        SupportsSrvrNotifications
        SupportsOpenDirectory
        SupportsUTF8Servername
        SupportsUUIDs
        SupportsExtSleep
        SupportsSuperClient
    Server name: myserver
    Signature:
    8a c6 12 3a 0e d9 95 3e 6f 31 e3 a9 17 f5 70 f6  ...:...>o1....p.

    Network address: 192.168.1.154:10548 (TCP/IP address and port)
    UTF8 Servername: myserver

REPORTING BUGS

Report bugs to the Netatalk-devel list <netatalk-devel@lists.sourceforge.net>.